Resolve (or update) a registration conflict
curl --request POST \
--url https://api.royalti.io/work/registrations/{id}/conflicts/{conflictId}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "resolved",
"note": "<string>"
}
'import requests
url = "https://api.royalti.io/work/registrations/{id}/conflicts/{conflictId}/resolve"
payload = {
"status": "resolved",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'resolved', note: '<string>'})
};
fetch('https://api.royalti.io/work/registrations/{id}/conflicts/{conflictId}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workRegistrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": 123,
"societyCode": "<string>",
"conflictingPartyClaim": {},
"status": "open",
"resolutionNote": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claimId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}Works
Resolve (or update) a registration conflict
POST /work/registrations//conflicts//resolve
POST
/
work
/
registrations
/
{id}
/
conflicts
/
{conflictId}
/
resolve
Resolve (or update) a registration conflict
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
POST /work/registrations//conflicts//resolve Description: Updates a conflict’s status (defaults toresolved if omitted) and
optional resolution note. When the resulting status is resolved
and no other open/under-review conflicts remain on the parent
registration, the registration’s registrationStatus is bumped
from conflict back to submitted.
Authorization:
- Required role:
adminor higher
Code Examples
const response = await fetch('https://api.royalti.io/work/registrations/{id}/conflicts/example-id/resolve', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"ref": "#/components/schemas/ResolveConflictRequest"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/work/registrations/{id}/conflicts/example-id/resolve',
headers={
'Authorization': f'Bearer {token}'
},
json={"ref":"#/components/schemas/ResolveConflictRequest"}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/work/registrations/{id}/conflicts/example-id/resolve \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"ref":"#/components/schemas/ResolveConflictRequest"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
When status resolves to resolved and this was the LAST open/under-review
conflict on the parent registration, the registration's own
registrationStatus is bumped from conflict back to submitted.